com.sleepycat.bind.tuple

## Class DoubleBinding

- java.lang.Object
- - com.sleepycat.bind.tuple.TupleBase<E>
  - - com.sleepycat.bind.tuple.TupleBinding<java.lang.Double>
    - - com.sleepycat.bind.tuple.DoubleBinding

All Implemented Interfaces:
  EntryBinding<java.lang.Double>

    public class DoubleBinding
    extends TupleBinding<java.lang.Double>

A concrete `TupleBinding` for an unsorted `Double` primitive wrapper or an unsorted `double` primitive.

There are two ways to use this class:

1. When using the `com.sleepycat.db` package directly, the static methods in this class can be used to convert between primitive values and `DatabaseEntry` objects.
2. When using the `com.sleepycat.collections` package, an instance of this class can be used with any stored collection. The easiest way to obtain a binding instance is with the `TupleBinding.getPrimitiveBinding(java.lang.Class<T>)` method.

See Also:
  Floating Point Formats

### Constructor Summary

Constructors
Constructor and Description
`DoubleBinding()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `doubleToEntry(double val, DatabaseEntry entry)` Converts a simple `double` value into an entry buffer.
`static double` `entryToDouble(DatabaseEntry entry)` Converts an entry buffer into a simple `double` value.
`java.lang.Double` `entryToObject(TupleInput input)` Constructs a key or data object from a `TupleInput` entry.
`protected TupleOutput` `getTupleOutput(java.lang.Double object)` Returns an empty TupleOutput instance that will be used by the tuple binding or key creator.
`void` `objectToEntry(java.lang.Double object, TupleOutput output)` Converts a key or data object to a tuple entry.

### Methods inherited from class com.sleepycat.bind.tuple.TupleBinding

`entryToObject, getPrimitiveBinding, objectToEntry`

### Methods inherited from class com.sleepycat.bind.tuple.TupleBase

`entryToInput, getTupleBufferSize, inputToEntry, newOutput, newOutput, outputToEntry, setTupleBufferSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleBinding

    public DoubleBinding()

### Method Detail

#### entryToObject

    public java.lang.Double entryToObject(TupleInput input)

Description copied from class: `TupleBinding`
Constructs a key or data object from a `TupleInput` entry.

Specified by:
  `entryToObject` in class `TupleBinding<java.lang.Double>`
Parameters:
  `input` - is the tuple key or data entry.
Returns:
  the key or data object constructed from the entry.

#### objectToEntry

    public void objectToEntry(java.lang.Double object,
                              TupleOutput output)

Description copied from class: `TupleBinding`
Converts a key or data object to a tuple entry.

Specified by:
  `objectToEntry` in class `TupleBinding<java.lang.Double>`
Parameters:
  `object` - is the key or data object.
  `output` - is the tuple entry to which the key or data should be written.

#### getTupleOutput

    protected TupleOutput getTupleOutput(java.lang.Double object)

Description copied from class: `TupleBase`
Returns an empty TupleOutput instance that will be used by the tuple binding or key creator.

The default implementation of this method creates a new TupleOutput with an initial buffer size that can be changed using the `TupleBase.setTupleBufferSize(int)` method.

This method may be overridden to return a TupleOutput instance. For example, an instance per thread could be created and returned by this method. If a TupleOutput instance is reused, be sure to call its `FastOutputStream.reset()` method before each use.

Overrides:
  `getTupleOutput` in class `TupleBase<java.lang.Double>`
Parameters:
  `object` - is the object to be written to the tuple output, and may be used by subclasses to determine the size of the output buffer.
Returns:
  an empty TupleOutput instance.
See Also:
  `TupleBase.setTupleBufferSize(int)`

#### entryToDouble

    public static double entryToDouble(DatabaseEntry entry)

Converts an entry buffer into a simple `double` value.

Parameters:
  `entry` - is the source entry buffer.
Returns:
  the resulting value.

#### doubleToEntry

    public static void doubleToEntry(double val,
                                     DatabaseEntry entry)

Converts a simple `double` value into an entry buffer.

Parameters:
  `val` - is the source value.
  `entry` - is the destination entry buffer.